<account-frame
  *ngIf="!hasFinished"
  title="Reset Password"
  titleButton="Log In"
  (titleAction)="goToLogin()"
  submitText="Send Email"
  (onSubmit)="onSubmit()"
  [nonFieldErrors]="errorMessage"
>
  <app-text-field
    #emailInput
    autocorrect="false"
    autocapitalizationType="none"
    label="Email"
    type="email"
    returnKeyType="done"
    [isFormSubmitted]="form.isSubmitted"
    [ngrxFormControl]="form.controls.email"
  ></app-text-field>

  <Label
    *ngIf="form.isUnsubmitted && !form.controls.email.isValid"
    class="text-label"
    text="Have your backup code ready to go, then enter the email address you used to sign up for your Passit account."
    textWrap="true"
  >
  </Label>

  <Label
    *ngIf="form.errors._email && form.isSubmitted"
    class="text-label text-label--error m-b-10 p-b-10"
    text="Enter your account's email address."
    textWrap="true"
  ></Label>

  <progress-indicator [inProgress]="hasStarted"></progress-indicator>

  <app-server-select
    [showUrlControl]="form.controls.showUrl"
    [urlControl]="form.controls.url"
    [formErrors]="form.errors"
  ></app-server-select>
</account-frame>

<account-frame
  *ngIf="hasFinished"
  title="Confirm Email"
  titleButton="Log In"
  (titleAction)="goToLogin()"
  [nonFieldErrors]="errorMessage"
>
  <Label class="text-label m-b-20" textWrap="true">
    <FormattedString>
      <Span text="Great! We sent an email to "></Span>
      <Span [text]="emailDisplayName"></Span>
      <Span text="."></Span>
    </FormattedString>
  </Label>

  <Label class="text-label m-b-20" textWrap="true">
    <FormattedString>
      <Span
        text="Click the link in your email to continue."
        fontWeight="bold"
      ></Span>
    </FormattedString>
  </Label>

  <Label
    class="text-label m-b-10"
    text="This will take you to the website to complete your password reset."
    textWrap="true"
  ></Label>

  <Label
    class="text-label m-b-20"
    text="Make sure you have your backup code ready for the next&nbsp;step."
    textWrap="true"
  ></Label>

  <Label class="text-label m-b-10" textWrap="true">
    <FormattedString>
      <Span
        text="Didn't receive the email?"
        fontWeight="Bold"
      ></Span> </FormattedString
  ></Label>
  <FlexboxLayout alignItems="flex-start">
    <app-button
      text="Enter Your Email Again"
      type="text"
      (tap)="onReset()"
    ></app-button>
  </FlexboxLayout>
  <FlexboxLayout alignItems="flex-start">
    <app-button
      text="Resend Confirmation Email"
      type="text"
      (tap)="onSubmit()"
    ></app-button
  ></FlexboxLayout>
</account-frame>
